Create Session
POST
/
v1
/
workflow
/
playground
/
sessions
Create Session
curl --request POST \
--url https://api-sandbox.featherhq.com/v1/workflow/playground/sessions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"catalog_slug": "<string>",
"revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api-sandbox.featherhq.com/v1/workflow/playground/sessions"
payload = {
"catalog_slug": "<string>",
"revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({catalog_slug: '<string>', revision_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api-sandbox.featherhq.com/v1/workflow/playground/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"graph": {
"name": "<string>",
"entry_node_id": "<string>",
"persona": "<string>"
},
"current_step_id": "<string>",
"completed_steps": [
"<string>"
],
"context_vars": {},
"step_count": 123,
"last_signal": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"catalog_slug": "<string>",
"revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"awaiting_approval": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Body
application/json
Response
Successful Response
Session metadata returned by POST /sessions and GET /sessions/{id}.
Exactly one of catalog_slug / revision_id is set, reflecting which source
the session was opened against.
The small graph descriptor surfaced to a client on session start / GET.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create Session
